# Invite a user

Invite a user to a tenant

Endpoint: POST /authn2/v0/tenant/{enterprise_id}/invite
Version: 1.0.0
Security: apiKey

## Path parameters:

  - `enterprise_id` (string, required)
    Enterprise ID

## Request fields (application/json):

  - `email` (string, required)

  - `meta` (object, required)

  - `meta.email` (string, required)

  - `meta.profile` (object, required)

  - `meta.profile.role` (string, required)
    Enum: "Enterprise Admin", "Viewer", "Group Admin", "Group Viewer", "Support", "AuthZ Role User"

  - `meta.profile.enterprise` (string, required)

  - `meta.profile.groups` (array)

  - `meta.profile.authz_role_id` (string)

  - `connection_id` (string)

## Response 201 fields (application/json):

  - `id` (string)

  - `email` (string)

  - `tenant_id` (string)

  - `idp_invite_id` (string)

  - `meta` (object)

  - `connection_id` (string)

  - `send_invitation_email` (boolean)

  - `invitation_url` (string)

  - `created_at` (string)

  - `updated_at` (string)

## Response 400 fields (application/json):

  - `status` (integer)
    Either 'status' or 'code' will be present, but not both.

  - `code` (integer)
    Either 'status' or 'code' will be present, but not both.

  - `error` (string)
    Either 'error' or 'errors' will be present, but not both.

  - `errors` (array)
    Either 'error' or 'errors' will be present, but not both.

  - `message` (string)

## Response 401 fields (application/json):

  - `status` (integer)
    Either 'status' or 'code' will be present, but not both.

  - `code` (integer)
    Either 'status' or 'code' will be present, but not both.

  - `error` (string)
    Either 'error' or 'errors' will be present, but not both.

  - `errors` (array)
    Either 'error' or 'errors' will be present, but not both.

  - `message` (string)


